Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003794TestLinkReportspublic2010-09-20 19:182010-11-14 12:07
Reporterrtessier 
Assigned ToEloff 
PriorityhighSeverityfeature requestReproducibilityN/A
StatusclosedResolutionfixed 
PlatformFirefox 3.6.9OSUbuntuOS Version10.04
Product Version1.9 Beta 6 
Fixed in Version1.9 (Prague) 
Summary0003794: Query Metrics report should allow filtering by platform
DescriptionThe Query Metrics report doesn't currently allow filtering results by platform. It should allow selecting platforms to query in the same way as it does for builds.
Additional InformationI already have implemented this feature as it is something our users really need. I've attached all files modified to implement this change.

NOTE: I've only included the locale/en_GB/strings.txt file, not the ones for other languages.
TagsNo tags attached.
Database (MySQL,Postgres,etc)mysql Ver 14.14 Distrib 5.1.41
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Fileszip file icon query.zip [^] (78,333 bytes) 2010-09-22 14:03
gz file icon query_rebased_20100923.tar.gz [^] (73,082 bytes) 2010-09-23 20:14
gz file icon query_rebased_fix.tar.gz [^] (74,070 bytes) 2010-09-28 21:24

- Relationships

-  Notes
(0011462)
rtessier (reporter)
2010-09-22 14:04

Attached a fix in query.zip for results.class.php to remove duplicate results.

Please disregard the query_metrics.zip file. I don't know how to remove an attached file.
(0011463)
amitkhullar (reporter)
2010-09-22 15:19

File deleted.
(0011487)
Eloff (reporter)
2010-09-23 20:10

I tested this contribution (rebased to current cvs). It works for test plans with platforms but not without. There are no results at all when querying on test plan without platforms.

@rtessier:
It would be great if you could make it work with latest cvs. Then we can integrate it into 1.9 for release.
(0011488)
Eloff (reporter)
2010-09-23 20:15

Uploaded contribution rebased to current cvs head...
(0011541)
rtessier (reporter)
2010-09-28 21:25

Uploaded fix to work without platforms.
(0011964)
Eloff (reporter)
2010-10-18 22:57

Thanks for you contribution. I've committed the patch to the latest cvs from today and you will see the result in next release.
(0012552)
fman (administrator)
2010-11-14 12:07

1.9 (Prague) Released

- Issue History
Date Modified Username Field Change
2010-09-20 19:18 rtessier New Issue
2010-09-20 19:18 rtessier File Added: query_metrics.zip
2010-09-20 19:35 fman Assigned To => Eloff
2010-09-20 19:35 fman Status new => assigned
2010-09-22 14:03 rtessier File Added: query.zip
2010-09-22 14:04 rtessier Note Added: 0011462
2010-09-22 15:19 amitkhullar File Deleted: query_metrics.zip
2010-09-22 15:19 amitkhullar Note Added: 0011463
2010-09-23 20:10 Eloff Note Added: 0011487
2010-09-23 20:14 Eloff File Added: query_rebased_20100923.tar.gz
2010-09-23 20:15 Eloff Note Added: 0011488
2010-09-28 21:24 rtessier File Added: query_rebased_fix.tar.gz
2010-09-28 21:25 rtessier Note Added: 0011541
2010-10-18 22:57 Eloff Note Added: 0011964
2010-10-18 22:59 Eloff Status assigned => resolved
2010-10-18 22:59 Eloff Fixed in Version => 1.9 (Prague)
2010-10-18 22:59 Eloff Resolution open => fixed
2010-11-14 12:07 fman Note Added: 0012552
2010-11-14 12:07 fman Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker